diff --git a/res/res_pjsip/location.c b/res/res_pjsip/location.c
index 1ddf630948..ed62de6b0f 100644
--- a/res/res_pjsip/location.c
+++ b/res/res_pjsip/location.c
@@ -449,6 +449,13 @@ int ast_sip_location_update_contact(struct ast_sip_contact *contact)
 
 int ast_sip_location_delete_contact(struct ast_sip_contact *contact)
 {
+	struct ast_sip_contact_status *status;
+
+	status = ast_sip_get_contact_status(contact);
+	if (status) {
+		status->status = REMOVED;
+	}
+
 	return ast_sorcery_delete(ast_sip_get_sorcery(), contact);
 }
 
